Skip to main content

Redact Memory Version

Erases the body of the specified version. Irreversible and idempotent. Does not affect the current memory.

Prerequisites

Endpoint and authentication configured. For details, see Overview and authentication.

Endpoint

POST /memory_stores/{memory_store_id}/memory_versions/{memory_version_id}/redact

Path parameters

FieldRequiredTypeDescription
memory_store_idYesstringMemory store ID
memory_version_idYesstringVersion ID

Request example

curl "$AGENTSTUDIO_URL/memory_stores/memstore_xxx/memory_versions/memver_xxx/redact" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY"

Response example

{
  "id": "memver_xxx",
  "type": "memory_version",
  "memory_store_id": "memstore_xxx",
  "memory_id": "mem_xxx",
  "operation": "modified",
  "path": "/notes/project.md",
  "created_at": "2026-09-17T08:30:00Z",
  "redacted_at": "2026-09-17T09:30:00Z"
}

Response fields

FieldTypeDescription
idstring
typestring
memory_store_idstring
memory_idstring
operationcreated / modified / deleted
pathstring
redacted_atstring | null
created_atstring

Error codes

HTTP statusError codeDescription
401InvalidApiKeyAPI key missing, invalid, or expired
403permission_errorInsufficient identity or resource access permissions
404not_found_errorResource does not exist or does not belong to the current workspace
Flow Agent API
Sandbox API
RAG API
Long-term Memory
ParseX API
Security API
Framework Integration